#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EStreamControllerConfigMsg {
    RequestConfigsForApp = 0,
    ConfigResponse = 1,
    PersonalizationResponse = 2,
    ActiveConfigChange = 3,
    RequestActiveConfig = 4,
}

impl EStreamControllerConfigMsg {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::RequestConfigsForApp as i32 => Some(Self::RequestConfigsForApp),
            x if x == Self::ConfigResponse as i32 => Some(Self::ConfigResponse),
            x if x == Self::PersonalizationResponse as i32 => Some(Self::PersonalizationResponse),
            x if x == Self::ActiveConfigChange as i32 => Some(Self::ActiveConfigChange),
            x if x == Self::RequestActiveConfig as i32 => Some(Self::RequestActiveConfig),
            _ => None,
        }
    }
}
